Continue a task
Adds a message to an existing task and resumes asynchronous processing.
POST
/api/agents/{agentId}/tasks/{taskId}/messagesPath parameters
agentIdstringrequiredResearch Agent ID assigned to your organization.
taskIdstringrequiredTask ID returned when the task was created.
Request body
requiredapplication/jsonmessagestringrequiredA product model, part number, description, or follow-up answer.
min length 1
attachmentsAttachment[]default: []
Show propertiesHide properties
Array of
AttachmenttypeanyrequiredurlstringrequiredAn HTTP(S) URL or supported data URL.
mediaTypestringrequiredMedia type of the file.
filenamestringrequiredFilename presented to Research Agent.
Responses
202Follow-up accepted.
statusanyrequiredtaskIdstringrequiredstatusUrlstring<uri>required400The request body is invalid.
errorstringrequireddetailsobject401The bearer token is missing or invalid.
errorstringrequired403The authenticated user cannot access the requested agent.
errorstringrequired404The task was not found for this user and agent.
errorstringrequiredRequest
curl -X POST "https://agents.sibi.ai/api/agents/string/tasks/string/messages" \
-H "Content-Type: application/json" \
-d '{
"message": "Manufacturer A"
}'const response = await fetch("https://agents.sibi.ai/api/agents/string/tasks/string/messages", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"message": "Manufacturer A"
})
});Response
{
"status": "pending",
"taskId": "string",
"statusUrl": "<uri>"
}{
"error": "string",
"details": {}
}{
"error": "Unauthorized"
}{
"error": "Forbidden"
}{
"error": "Task not found"
}